#include <kdialog.h>
#include <klocale.h>
/****************************************************************************
** Form implementation generated from reading ui file './eposconfwidget.ui'
**
** Created: 2012-06-18T14:55:28
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "eposconfwidget.h"

#include <qvariant.h>
#include <kurlrequester.h>
#include <qpushbutton.h>
#include <qgroupbox.h>
#include <qlabel.h>
#include <kcombobox.h>
#include <knuminput.h>
#include <qslider.h>
#include <qlineedit.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>

/*
 *  Constructs a EposConfWidget as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
EposConfWidget::EposConfWidget( QWidget* parent, const char* name, WFlags fl )
    : QWidget( parent, name, fl )
{
    if ( !name )
	setName( "EposConfWidget" );
    setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)7, (QSizePolicy::SizeType)7, 0, 0, sizePolicy().hasHeightForWidth() ) );
    EposConfWidgetLayout = new QGridLayout( this, 1, 1, 11, 6, "EposConfWidgetLayout"); 

    eposConfigurationBox = new QGroupBox( this, "eposConfigurationBox" );
    eposConfigurationBox->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)7, (QSizePolicy::SizeType)5, 0, 0, eposConfigurationBox->sizePolicy().hasHeightForWidth() ) );
    eposConfigurationBox->setFrameShape( QGroupBox::GroupBoxPanel );
    eposConfigurationBox->setFrameShadow( QGroupBox::Sunken );
    eposConfigurationBox->setColumnLayout(0, Qt::Vertical );
    eposConfigurationBox->layout()->setSpacing( 6 );
    eposConfigurationBox->layout()->setMargin( 11 );
    eposConfigurationBoxLayout = new QGridLayout( eposConfigurationBox->layout() );
    eposConfigurationBoxLayout->setAlignment( Qt::AlignTop );

    tqlayout13 = new QHBoxLayout( 0, 0, 6, "tqlayout13"); 

    characterCodingLabel = new QLabel( eposConfigurationBox, "characterCodingLabel" );
    characterCodingLabel->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)5, (QSizePolicy::SizeType)5, 0, 0, characterCodingLabel->sizePolicy().hasHeightForWidth() ) );
    tqlayout13->addWidget( characterCodingLabel );

    characterCodingBox = new KComboBox( FALSE, eposConfigurationBox, "characterCodingBox" );
    characterCodingBox->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)7, (QSizePolicy::SizeType)0, 0, 0, characterCodingBox->sizePolicy().hasHeightForWidth() ) );
    tqlayout13->addWidget( characterCodingBox );

    eposConfigurationBoxLayout->addLayout( tqlayout13, 2, 0 );

    tqlayout17 = new QHBoxLayout( 0, 0, 6, "tqlayout17"); 

    tqlayout14 = new QVBoxLayout( 0, 0, 6, "tqlayout14"); 

    timeLabel = new QLabel( eposConfigurationBox, "timeLabel" );
    timeLabel->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)0, (QSizePolicy::SizeType)5, 0, 0, timeLabel->sizePolicy().hasHeightForWidth() ) );
    tqlayout14->addWidget( timeLabel );

    frequencyLabel = new QLabel( eposConfigurationBox, "frequencyLabel" );
    frequencyLabel->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)0, (QSizePolicy::SizeType)5, 0, 0, frequencyLabel->sizePolicy().hasHeightForWidth() ) );
    tqlayout14->addWidget( frequencyLabel );
    tqlayout17->addLayout( tqlayout14 );

    tqlayout15 = new QVBoxLayout( 0, 0, 6, "tqlayout15"); 

    timeBox = new KIntSpinBox( eposConfigurationBox, "timeBox" );
    timeBox->setEnabled( TRUE );
    timeBox->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)0, (QSizePolicy::SizeType)0, 0, 0, timeBox->sizePolicy().hasHeightForWidth() ) );
    timeBox->setMaxValue( 200 );
    timeBox->setMinValue( 50 );
    timeBox->setValue( 100 );
    tqlayout15->addWidget( timeBox );

    frequencyBox = new KIntSpinBox( eposConfigurationBox, "frequencyBox" );
    frequencyBox->setEnabled( TRUE );
    frequencyBox->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)0, (QSizePolicy::SizeType)0, 0, 0, frequencyBox->sizePolicy().hasHeightForWidth() ) );
    frequencyBox->setMaxValue( 200 );
    frequencyBox->setMinValue( 50 );
    frequencyBox->setValue( 100 );
    tqlayout15->addWidget( frequencyBox );
    tqlayout17->addLayout( tqlayout15 );

    tqlayout16 = new QVBoxLayout( 0, 0, 6, "tqlayout16"); 

    timeSlider = new QSlider( eposConfigurationBox, "timeSlider" );
    timeSlider->setEnabled( TRUE );
    timeSlider->setFocusPolicy( QSlider::NoFocus );
    timeSlider->setMaxValue( 1000 );
    timeSlider->setLineStep( 10 );
    timeSlider->setPageStep( 100 );
    timeSlider->setValue( 500 );
    timeSlider->setOrientation( QSlider::Horizontal );
    tqlayout16->addWidget( timeSlider );

    frequencySlider = new QSlider( eposConfigurationBox, "frequencySlider" );
    frequencySlider->setEnabled( TRUE );
    frequencySlider->setFocusPolicy( QSlider::NoFocus );
    frequencySlider->setMaxValue( 1000 );
    frequencySlider->setLineStep( 10 );
    frequencySlider->setPageStep( 100 );
    frequencySlider->setValue( 500 );
    frequencySlider->setOrientation( QSlider::Horizontal );
    tqlayout16->addWidget( frequencySlider );
    tqlayout17->addLayout( tqlayout16 );

    eposConfigurationBoxLayout->addLayout( tqlayout17, 1, 0 );

    tqlayout13_2 = new QHBoxLayout( 0, 0, 6, "tqlayout13_2"); 

    tqlayout11 = new QVBoxLayout( 0, 0, 6, "tqlayout11"); 

    eposServerPathLabel = new QLabel( eposConfigurationBox, "eposServerPathLabel" );
    eposServerPathLabel->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)5, (QSizePolicy::SizeType)1, 0, 0, eposServerPathLabel->sizePolicy().hasHeightForWidth() ) );
    eposServerPathLabel->setTqalignment( int( QLabel::AlignVCenter ) );
    tqlayout11->addWidget( eposServerPathLabel );

    eposClientPathLabel = new QLabel( eposConfigurationBox, "eposClientPathLabel" );
    eposClientPathLabel->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)5, (QSizePolicy::SizeType)1, 0, 0, eposClientPathLabel->sizePolicy().hasHeightForWidth() ) );
    eposClientPathLabel->setTqalignment( int( QLabel::AlignVCenter ) );
    tqlayout11->addWidget( eposClientPathLabel );
    tqlayout13_2->addLayout( tqlayout11 );

    tqlayout12 = new QVBoxLayout( 0, 0, 6, "tqlayout12"); 

    eposServerPath = new KURLRequester( eposConfigurationBox, "eposServerPath" );
    eposServerPath->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)5, (QSizePolicy::SizeType)1, 0, 0, eposServerPath->sizePolicy().hasHeightForWidth() ) );
    tqlayout12->addWidget( eposServerPath );

    eposClientPath = new KURLRequester( eposConfigurationBox, "eposClientPath" );
    eposClientPath->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)5, (QSizePolicy::SizeType)1, 0, 0, eposClientPath->sizePolicy().hasHeightForWidth() ) );
    tqlayout12->addWidget( eposClientPath );
    tqlayout13_2->addLayout( tqlayout12 );

    eposConfigurationBoxLayout->addLayout( tqlayout13_2, 0, 0 );

    advancedGroupBox = new QGroupBox( eposConfigurationBox, "advancedGroupBox" );
    advancedGroupBox->setColumnLayout(0, Qt::Vertical );
    advancedGroupBox->layout()->setSpacing( 6 );
    advancedGroupBox->layout()->setMargin( 11 );
    advancedGroupBoxLayout = new QGridLayout( advancedGroupBox->layout() );
    advancedGroupBoxLayout->setAlignment( Qt::AlignTop );

    tqlayout14_2 = new QGridLayout( 0, 1, 1, 0, 6, "tqlayout14_2"); 

    tqlayout13_3 = new QVBoxLayout( 0, 0, 6, "tqlayout13_3"); 

    eposServerOptions = new QLineEdit( advancedGroupBox, "eposServerOptions" );
    tqlayout13_3->addWidget( eposServerOptions );

    eposClientOptions = new QLineEdit( advancedGroupBox, "eposClientOptions" );
    tqlayout13_3->addWidget( eposClientOptions );

    tqlayout14_2->addLayout( tqlayout13_3, 0, 1 );

    tqlayout12_2 = new QVBoxLayout( 0, 0, 6, "tqlayout12_2"); 

    eposServerOptionsLabel = new QLabel( advancedGroupBox, "eposServerOptionsLabel" );
    eposServerOptionsLabel->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)5, (QSizePolicy::SizeType)1, 0, 0, eposServerOptionsLabel->sizePolicy().hasHeightForWidth() ) );
    eposServerOptionsLabel->setTqalignment( int( QLabel::AlignVCenter | QLabel::AlignLeft ) );
    tqlayout12_2->addWidget( eposServerOptionsLabel );

    eposClientOptionsLabel = new QLabel( advancedGroupBox, "eposClientOptionsLabel" );
    eposClientOptionsLabel->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)5, (QSizePolicy::SizeType)1, 0, 0, eposClientOptionsLabel->sizePolicy().hasHeightForWidth() ) );
    eposClientOptionsLabel->setTqalignment( int( QLabel::AlignVCenter | QLabel::AlignLeft ) );
    tqlayout12_2->addWidget( eposClientOptionsLabel );

    tqlayout14_2->addLayout( tqlayout12_2, 0, 0 );

    advancedGroupBoxLayout->addLayout( tqlayout14_2, 0, 0 );

    eposConfigurationBoxLayout->addWidget( advancedGroupBox, 3, 0 );

    tqlayout5 = new QHBoxLayout( 0, 0, 6, "tqlayout5"); 
    spacer2 = new QSpacerItem( 0, 0, QSizePolicy::Expanding, QSizePolicy::Minimum );
    tqlayout5->addItem( spacer2 );

    eposTest = new QPushButton( eposConfigurationBox, "eposTest" );
    tqlayout5->addWidget( eposTest );

    eposConfigurationBoxLayout->addLayout( tqlayout5, 4, 0 );

    EposConfWidgetLayout->addWidget( eposConfigurationBox, 0, 0 );
    languageChange();
    resize( QSize(535, 381).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // tab order
    setTabOrder( eposServerPath, eposClientPath );
    setTabOrder( eposClientPath, characterCodingBox );
    setTabOrder( characterCodingBox, eposTest );

    // buddies
    characterCodingLabel->setBuddy( characterCodingBox );
    timeLabel->setBuddy( timeBox );
    frequencyLabel->setBuddy( frequencyBox );
}

/*
 *  Destroys the object and frees any allocated resources
 */
EposConfWidget::~EposConfWidget()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void EposConfWidget::languageChange()
{
    setCaption( tr2i18n( "Epos Config UI" ) );
    QWhatsThis::add( this, tr2i18n( "This is the configuration dialog for the Epos Czech and Slovak speech synthesizer." ) );
    eposConfigurationBox->setTitle( tr2i18n( "E&pos Configuration" ) );
    QWhatsThis::add( eposConfigurationBox, tr2i18n( "This is the configuration dialog for the Epos Czech and Slovak speech synthesizer." ) );
    characterCodingLabel->setText( tr2i18n( "Character &encoding:" ) );
    QWhatsThis::add( characterCodingBox, tr2i18n( "Specifies which character encoding is used for passing the text." ) );
    timeLabel->setText( tr2i18n( "Speed:" ) );
    QWhatsThis::add( timeLabel, tr2i18n( "Sets the speed of speech.  Slide the slider to the left to slow speech down; to the right to increase talking speed.  Anything less than 75 percent is considered \"slow\", and anything greater than 125 percent is considered \"fast\"." ) );
    frequencyLabel->setText( tr2i18n( "Pitch:" ) );
    QWhatsThis::add( frequencyLabel, tr2i18n( "Sets the tone (frequency) of speech.  Slide the slider to the left to lower the voice tone; to the right to increase tone.  Anything less than 75 percent is considered \"low\", and anything greater than 125 percent is considered \"high\"." ) );
    timeBox->setSuffix( tr2i18n( " %" ) );
    QWhatsThis::add( timeBox, tr2i18n( "Sets the speed of speech.  Slide the slider to the left to slow speech down; to the right to increase talking speed.  Anything less than 75 percent is considered \"slow\", and anything greater than 125 percent is considered \"fast\"." ) );
    frequencyBox->setSuffix( tr2i18n( " %" ) );
    QWhatsThis::add( frequencyBox, tr2i18n( "Sets the tone (frequency) of speech.  Slide the slider to the left to lower the voice tone; to the right to increase tone.  Anything less than 75 percent is considered \"low\", and anything greater than 125 percent is considered \"high\"." ) );
    QWhatsThis::add( timeSlider, tr2i18n( "Sets the speed of speech.  Slide the slider to the left to slow speech down; to the right to increase talking speed.  Anything less than 75 percent is considered \"slow\", and anything greater than 125 percent is considered \"fast\"." ) );
    QWhatsThis::add( frequencySlider, tr2i18n( "Sets the tone (frequency) of speech.  Slide the slider to the left to lower the voice tone; to the right to increase tone.  Anything less than 75 percent is considered \"low\", and anything greater than 125 percent is considered \"high\"." ) );
    eposServerPathLabel->setText( tr2i18n( "Epos server executable path:" ) );
    QWhatsThis::add( eposServerPathLabel, tr2i18n( "If the Epos server program will be found due to your PATH environment variable, simply enter \"epos\", otherwise enter the full path to the Epos server executable program." ) );
    eposClientPathLabel->setText( tr2i18n( "Epos client executable path:" ) );
    QWhatsThis::add( eposClientPathLabel, tr2i18n( "If the Epos client program will be found due to the PATH environment variable, simply enter \"say\" here.  Otherwise, specify the full path to the Epos client program." ) );
    eposServerPath->setProperty( "url", tr2i18n( "epos" ) );
    QWhatsThis::add( eposServerPath, tr2i18n( "If the Epos server program will be found due to your PATH environment variable, simply enter \"epos\", otherwise enter the full path to the Epos server executable program." ) );
    eposClientPath->setProperty( "url", tr2i18n( "say" ) );
    QWhatsThis::add( eposClientPath, tr2i18n( "If the Epos client program will be found due to the PATH environment variable, simply enter \"say\" here.  Otherwise, specify the full path to the Epos client program." ) );
    advancedGroupBox->setTitle( tr2i18n( "Additional Options (advanced)" ) );
    QWhatsThis::add( eposServerOptions, tr2i18n( "Optional.  Enter any server command line options here.  To see available options, enter \"epos -h\" in a terminal.  Do not use \"-o\"." ) );
    QWhatsThis::add( eposClientOptions, tr2i18n( "Specify options to be passed to Epos client.  To see available options, enter \"say -h\" in a terminal.  Do not use \"-o\"." ) );
    eposServerOptionsLabel->setText( tr2i18n( "Epos server:" ) );
    QWhatsThis::add( eposServerOptionsLabel, tr2i18n( "Optional.  Enter any server command line options here.  To see available options, enter \"epos -h\" in a terminal.  Do not use \"-o\"." ) );
    eposClientOptionsLabel->setText( tr2i18n( "Epos client:" ) );
    QWhatsThis::add( eposClientOptionsLabel, tr2i18n( "Specify options to be passed to Epos client.  Do not use -o.  To see available options, enter \"say -h\" in a terminal.  Do not use \"-o\"." ) );
    eposTest->setText( tr2i18n( "&Test" ) );
    QWhatsThis::add( eposTest, tr2i18n( "Click to test the configuration.  If correct, you will hear a sentence spoken." ) );
}

#include "eposconfwidget.moc"
