#include <kdialog.h>
#include <klocale.h>
/****************************************************************************
** Form implementation generated from reading ui file './talkerchooserconfwidget.ui'
**
** Created: 2012-06-18T14:58:20
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "talkerchooserconfwidget.h"

#include <qvariant.h>
#include <qpushbutton.h>
#include <qlabel.h>
#include <klineedit.h>
#include <qgroupbox.h>
#include <kpushbutton.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>

/*
 *  Constructs a TalkerChooserConfWidget as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
TalkerChooserConfWidget::TalkerChooserConfWidget( QWidget* parent, const char* name, WFlags fl )
    : QWidget( parent, name, fl )
{
    if ( !name )
	setName( "TalkerChooserConfWidget" );
    TalkerChooserConfWidgetLayout = new QGridLayout( this, 1, 1, 11, 6, "TalkerChooserConfWidgetLayout"); 

    tqlayout3 = new QHBoxLayout( 0, 0, 6, "tqlayout3"); 

    nameLabel = new QLabel( this, "nameLabel" );
    nameLabel->setTqalignment( int( QLabel::AlignVCenter | QLabel::AlignRight ) );
    tqlayout3->addWidget( nameLabel );

    nameLineEdit = new KLineEdit( this, "nameLineEdit" );
    tqlayout3->addWidget( nameLineEdit );

    TalkerChooserConfWidgetLayout->addLayout( tqlayout3, 0, 0 );

    applyGroupBox = new QGroupBox( this, "applyGroupBox" );
    applyGroupBox->setColumnLayout(0, Qt::Vertical );
    applyGroupBox->layout()->setSpacing( 6 );
    applyGroupBox->layout()->setMargin( 11 );
    applyGroupBoxLayout = new QGridLayout( applyGroupBox->layout() );
    applyGroupBoxLayout->setAlignment( Qt::AlignTop );

    tqlayout11 = new QVBoxLayout( 0, 0, 6, "tqlayout11"); 

    reLabel = new QLabel( applyGroupBox, "reLabel" );
    reLabel->setTqalignment( int( QLabel::AlignVCenter | QLabel::AlignRight ) );
    tqlayout11->addWidget( reLabel );

    appIdLabel = new QLabel( applyGroupBox, "appIdLabel" );
    appIdLabel->setTqalignment( int( QLabel::AlignVCenter | QLabel::AlignRight ) );
    tqlayout11->addWidget( appIdLabel );

    applyGroupBoxLayout->addLayout( tqlayout11, 0, 0 );

    tqlayout13 = new QVBoxLayout( 0, 0, 6, "tqlayout13"); 

    tqlayout12 = new QHBoxLayout( 0, 0, 6, "tqlayout12"); 

    reLineEdit = new KLineEdit( applyGroupBox, "reLineEdit" );
    tqlayout12->addWidget( reLineEdit );

    reEditorButton = new KPushButton( applyGroupBox, "reEditorButton" );
    tqlayout12->addWidget( reEditorButton );
    tqlayout13->addLayout( tqlayout12 );

    appIdLineEdit = new KLineEdit( applyGroupBox, "appIdLineEdit" );
    tqlayout13->addWidget( appIdLineEdit );

    applyGroupBoxLayout->addLayout( tqlayout13, 0, 1 );

    TalkerChooserConfWidgetLayout->addWidget( applyGroupBox, 1, 0 );

    tqlayout19_2 = new QHBoxLayout( 0, 0, 6, "tqlayout19_2"); 

    talkerLabel = new QLabel( this, "talkerLabel" );
    talkerLabel->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)0, (QSizePolicy::SizeType)5, 0, 0, talkerLabel->sizePolicy().hasHeightForWidth() ) );
    tqlayout19_2->addWidget( talkerLabel );

    talkerLineEdit = new KLineEdit( this, "talkerLineEdit" );
    talkerLineEdit->setEnabled( FALSE );
    talkerLineEdit->setPaletteForegroundColor( QColor( 0, 0, 0 ) );
    tqlayout19_2->addWidget( talkerLineEdit );

    talkerButton = new KPushButton( this, "talkerButton" );
    tqlayout19_2->addWidget( talkerButton );

    TalkerChooserConfWidgetLayout->addLayout( tqlayout19_2, 2, 0 );

    tqlayout6 = new QHBoxLayout( 0, 0, 6, "tqlayout6"); 

    loadButton = new KPushButton( this, "loadButton" );
    loadButton->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)1, (QSizePolicy::SizeType)0, 0, 0, loadButton->sizePolicy().hasHeightForWidth() ) );
    tqlayout6->addWidget( loadButton );

    saveButton = new KPushButton( this, "saveButton" );
    saveButton->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)1, (QSizePolicy::SizeType)0, 0, 0, saveButton->sizePolicy().hasHeightForWidth() ) );
    tqlayout6->addWidget( saveButton );

    clearButton = new KPushButton( this, "clearButton" );
    clearButton->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)1, (QSizePolicy::SizeType)0, 0, 0, clearButton->sizePolicy().hasHeightForWidth() ) );
    tqlayout6->addWidget( clearButton );

    TalkerChooserConfWidgetLayout->addLayout( tqlayout6, 3, 0 );
    languageChange();
    resize( QSize(547, 240).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // tab order
    setTabOrder( nameLineEdit, reLineEdit );
    setTabOrder( reLineEdit, reEditorButton );
    setTabOrder( reEditorButton, appIdLineEdit );

    // buddies
    nameLabel->setBuddy( nameLineEdit );
    reLabel->setBuddy( reLineEdit );
    appIdLabel->setBuddy( appIdLineEdit );
    talkerLabel->setBuddy( talkerLineEdit );
}

/*
 *  Destroys the object and frees any allocated resources
 */
TalkerChooserConfWidget::~TalkerChooserConfWidget()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void TalkerChooserConfWidget::languageChange()
{
    setCaption( tr2i18n( "Configure Talker Chooser" ) );
    nameLabel->setText( tr2i18n( "&Name:" ) );
    QWhatsThis::add( nameLabel, tr2i18n( "Enter any name you like for this filter.", "What's this text" ) );
    QWhatsThis::add( nameLineEdit, tr2i18n( "Enter any name you like for this filter." ) );
    applyGroupBox->setTitle( tr2i18n( "&Apply This Filter When" ) );
    QWhatsThis::add( applyGroupBox, tr2i18n( "These settings determines when the filter is applied to text." ) );
    reLabel->setText( tr2i18n( "Te&xt contains:" ) );
    QWhatsThis::add( reLabel, tr2i18n( "This filter is applied to text jobs of the specified language.  You may select more than one language by clicking the browse button and Ctrl-clicking on more than one in the list.  If blank, the filter applies to all text jobs of any language.", "What's this text" ) );
    appIdLabel->setText( tr2i18n( "Application &ID contains:" ) );
    QWhatsThis::add( appIdLabel, tr2i18n( "Enter a DCOP Application ID.  This filter will only apply to text jobs queued by that application.  You may enter more than one ID separated by commas.  If blank, this filter applies to text jobs queued by all applications.  Tip: Use kdcop from the command line to get the Application IDs of running applications.  Example: \"konversation, kvirc,ksirc,kopete\"" ) );
    QWhatsThis::add( reLineEdit, tr2i18n( "This filter is applied to text jobs of the specified language.  You may select more than one language by clicking the browse button and Ctrl-clicking on more than one in the list.  If blank, the filter applies to all text jobs of any language." ) );
    reEditorButton->setText( tr2i18n( "..." ) );
    QWhatsThis::add( reEditorButton, tr2i18n( "Click to select one or more languages.  This filter will be applied to text jobs of those languages." ) );
    QWhatsThis::add( appIdLineEdit, tr2i18n( "<qt>Enter a DCOP Application ID.  This filter will only apply to text jobs queued by that application.  You may enter more than one ID separated by commas.  Use <b>knotify</b> to match all messages sent as KDE notifications.  If blank, this filter applies to text jobs queued by all applications.  Tip: Use kdcop from the command line to get the Application IDs of running applications.  Example: \"konversation, kvirc,ksirc,kopete\"</qt>" ) );
    talkerLabel->setText( tr2i18n( "&Talker:" ) );
    QWhatsThis::add( talkerLabel, tr2i18n( "The new Talker that will be used when the conditions above are met.  The default Talker is the topmost in the Talkers tab.  Click the button to choose a Talker." ) );
    QWhatsThis::add( talkerLineEdit, tr2i18n( "The new Talker that will be used when the conditions above are met.  The default Talker is the topmost in the Talkers tab.  Click the button to choose a Talker." ) );
    talkerButton->setText( tr2i18n( "..." ) );
    QWhatsThis::add( talkerButton, tr2i18n( "Click to select a Talker." ) );
    loadButton->setText( tr2i18n( "&Load..." ) );
    QWhatsThis::add( loadButton, tr2i18n( "Click to load a Talker Chooser configuration from a file.", "What's this text" ) );
    saveButton->setText( tr2i18n( "&Save..." ) );
    QWhatsThis::add( saveButton, tr2i18n( "Click to save this Talker Chooser to a file.", "What's this text" ) );
    clearButton->setText( tr2i18n( "Cl&ear" ) );
    QWhatsThis::add( clearButton, tr2i18n( "Click to clear everything.", "What's this text" ) );
}

#include "talkerchooserconfwidget.moc"
