#include <kdialog.h>
#include <klocale.h>
/****************************************************************************
** Form implementation generated from reading ui file './xmltransformerconfwidget.ui'
**
** Created: 2012-06-18T14:56:55
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "xmltransformerconfwidget.h"

#include <qvariant.h>
#include <qpushbutton.h>
#include <klineedit.h>
#include <kurlrequester.h>
#include <qlabel.h>
#include <qgroupbox.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>

/*
 *  Constructs a XmlTransformerConfWidget as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
XmlTransformerConfWidget::XmlTransformerConfWidget( QWidget* parent, const char* name, WFlags fl )
    : QWidget( parent, name, fl )
{
    if ( !name )
	setName( "XmlTransformerConfWidget" );
    XmlTransformerConfWidgetLayout = new QGridLayout( this, 1, 1, 11, 6, "XmlTransformerConfWidgetLayout"); 

    tqlayout5 = new QVBoxLayout( 0, 0, 6, "tqlayout5"); 

    nameLineEdit = new KLineEdit( this, "nameLineEdit" );
    tqlayout5->addWidget( nameLineEdit );

    xsltPath = new KURLRequester( this, "xsltPath" );
    tqlayout5->addWidget( xsltPath );

    xsltprocPath = new KURLRequester( this, "xsltprocPath" );
    tqlayout5->addWidget( xsltprocPath );

    XmlTransformerConfWidgetLayout->addLayout( tqlayout5, 0, 1 );

    tqlayout6 = new QVBoxLayout( 0, 0, 6, "tqlayout6"); 

    nameLabel = new QLabel( this, "nameLabel" );
    nameLabel->setTqalignment( int( QLabel::AlignVCenter | QLabel::AlignRight ) );
    tqlayout6->addWidget( nameLabel );

    xsltLabel = new QLabel( this, "xsltLabel" );
    xsltLabel->setTqalignment( int( QLabel::AlignVCenter | QLabel::AlignRight ) );
    tqlayout6->addWidget( xsltLabel );

    xsltprocLabel = new QLabel( this, "xsltprocLabel" );
    xsltprocLabel->setTqalignment( int( QLabel::AlignVCenter | QLabel::AlignRight ) );
    tqlayout6->addWidget( xsltprocLabel );

    XmlTransformerConfWidgetLayout->addLayout( tqlayout6, 0, 0 );

    applyGroupBox = new QGroupBox( this, "applyGroupBox" );
    applyGroupBox->setColumnLayout(0, Qt::Vertical );
    applyGroupBox->layout()->setSpacing( 6 );
    applyGroupBox->layout()->setMargin( 11 );
    applyGroupBoxLayout = new QGridLayout( applyGroupBox->layout() );
    applyGroupBoxLayout->setAlignment( Qt::AlignTop );

    tqlayout6_2 = new QVBoxLayout( 0, 0, 6, "tqlayout6_2"); 

    rootElementLineEdit = new KLineEdit( applyGroupBox, "rootElementLineEdit" );
    tqlayout6_2->addWidget( rootElementLineEdit );

    doctypeLineEdit = new KLineEdit( applyGroupBox, "doctypeLineEdit" );
    tqlayout6_2->addWidget( doctypeLineEdit );

    appIdLineEdit = new KLineEdit( applyGroupBox, "appIdLineEdit" );
    tqlayout6_2->addWidget( appIdLineEdit );

    applyGroupBoxLayout->addLayout( tqlayout6_2, 0, 1 );

    tqlayout5_2 = new QVBoxLayout( 0, 0, 6, "tqlayout5_2"); 

    rootElementLabel = new QLabel( applyGroupBox, "rootElementLabel" );
    rootElementLabel->setTqalignment( int( QLabel::AlignVCenter | QLabel::AlignRight ) );
    tqlayout5_2->addWidget( rootElementLabel );

    doctypeLabel = new QLabel( applyGroupBox, "doctypeLabel" );
    doctypeLabel->setTqalignment( int( QLabel::AlignVCenter | QLabel::AlignRight ) );
    tqlayout5_2->addWidget( doctypeLabel );

    appIdLabel = new QLabel( applyGroupBox, "appIdLabel" );
    appIdLabel->setTqalignment( int( QLabel::AlignVCenter | QLabel::AlignRight ) );
    tqlayout5_2->addWidget( appIdLabel );

    applyGroupBoxLayout->addLayout( tqlayout5_2, 0, 0 );

    XmlTransformerConfWidgetLayout->addMultiCellWidget( applyGroupBox, 1, 1, 0, 1 );
    languageChange();
    resize( QSize(548, 256).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // buddies
    nameLabel->setBuddy( nameLineEdit );
    xsltLabel->setBuddy( xsltPath );
    xsltprocLabel->setBuddy( xsltprocPath );
    rootElementLabel->setBuddy( rootElementLineEdit );
    doctypeLabel->setBuddy( doctypeLineEdit );
    appIdLabel->setBuddy( appIdLineEdit );
}

/*
 *  Destroys the object and frees any allocated resources
 */
XmlTransformerConfWidget::~XmlTransformerConfWidget()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void XmlTransformerConfWidget::languageChange()
{
    setCaption( tr2i18n( "Configure XML Transformer" ) );
    QWhatsThis::add( nameLineEdit, tr2i18n( "Enter any descriptive name you like for this filter." ) );
    QWhatsThis::add( xsltPath, tr2i18n( "Enter the full path to an XML Style Language - Transforms (XSLT) stylesheet file.  XSLT files usually end with extension .xsl." ) );
    xsltprocPath->setProperty( "url", tr2i18n( "xsltproc" ) );
    QWhatsThis::add( xsltprocPath, tr2i18n( "Enter the path to the xsltproc executable program.  If it is in the PATH environment variable, just enter \"xsltproc\"." ) );
    nameLabel->setText( tr2i18n( "&Name:" ) );
    QWhatsThis::add( nameLabel, tr2i18n( "Enter any descriptive name you like for this filter.", "What's this text" ) );
    xsltLabel->setText( tr2i18n( "&XSLT file:" ) );
    QWhatsThis::add( xsltLabel, tr2i18n( "Enter the full path to an XML Style Language - Transforms (XSLT) stylesheet file.  XSLT files usually end with extension .xsl." ) );
    xsltprocLabel->setText( tr2i18n( "xsltproc &executable:" ) );
    QWhatsThis::add( xsltprocLabel, tr2i18n( "Enter the path to the xsltproc executable program.  If it is in the PATH environment variable, just enter \"xsltproc\"." ) );
    applyGroupBox->setTitle( tr2i18n( "Apply This &Filter When" ) );
    QWhatsThis::add( applyGroupBox, tr2i18n( "These settings determines when the filter is applied to text." ) );
    QWhatsThis::add( rootElementLineEdit, tr2i18n( "This filter will be applied only to text having the specified XML root element.  If blank, applies to all text.  You may enter more than one root element separated by commas.  Example: \"html\"." ) );
    QWhatsThis::add( doctypeLineEdit, tr2i18n( "This filter will be applied only to text having the specified DOCTYPE specification.  If blank, applies to all text.  You may enter more than one DOCTYPE separated by commas.  Example: \"xhtml\"." ) );
    QWhatsThis::add( appIdLineEdit, tr2i18n( "<qt>Enter a DCOP Application ID.  This filter will only apply to text queued by that application.  You may enter more than one ID separated by commas.  Use <b>knotify</b> to match all messages sent as KDE notifications.  If blank, this filter applies to text queued by all applications.  Tip: Use kdcop from the command line to get the Application IDs of running applications.  Example: \"konversation, kvirc,ksirc,kopete\"</qt>" ) );
    rootElementLabel->setText( tr2i18n( "&Root element is:" ) );
    QWhatsThis::add( rootElementLabel, tr2i18n( "This filter will be applied only to text having the specified XML root element.  If blank, applies to all text.  You may enter more than one root element separated by commas.  Example: \"html\".", "What's this text" ) );
    doctypeLabel->setText( tr2i18n( "or DOC&TYPE is:" ) );
    QWhatsThis::add( doctypeLabel, tr2i18n( "This filter will be applied only to text having the specified DOCTYPE specification.  If blank, applies to all text.  You may enter more than one DOCTYPE separated by commas.  Example: \"xhtml\"." ) );
    appIdLabel->setText( tr2i18n( "and Application &ID contains:" ) );
    QWhatsThis::add( appIdLabel, tr2i18n( "<qt>Enter a DCOP Application ID.  This filter will only apply to text queued by that application.  You may enter more than one ID separated by commas.  Use <b>knotify</b> to match all messages sent as KDE notifications.  If blank, this filter applies to text queued by all applications.  Tip: Use kdcop from the command line to get the Application IDs of running applications.  Example: \"konversation, kvirc,ksirc,kopete\"</qt>" ) );
}

#include "xmltransformerconfwidget.moc"
